petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetMaxLinearSolveFailures

the number of failed linear solve attempts allowed before SNES returns with a diverged reason of SNES_DIVERGED_LINEAR_SOLVE

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetMaxLinearSolveFailures(SNES snes, PetscInt maxFails)

Logically Collective on SNES

### Input Parameters

| snes | - SNES context
| maxFails | - maximum allowed linear solve failures

### Options Database Keys

-snes_max_linear_solve_fail <num> -The number of failures before the solve is terminated

Notes: By default this is 0; that is SNES returns on the first failed linear solve

### Keywords

SNES, nonlinear, set, maximum, unsuccessful, steps

### See Also

SNESGetLinearSolveFailures(), SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages